#
# spec file for package ocaml-spdx_licenses
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with ocaml_spdx_licenses_testsuite
%define build_flavor %nil
%if "%build_flavor" == "testsuite"
%if %{without ocaml_spdx_licenses_testsuite}
ExclusiveArch:  do-not-build
%else
%endif
%define nsuffix -testsuite
%else
%define nsuffix %nil
%endif

%define     pkg ocaml-spdx_licenses
Name:           %pkg%nsuffix
Version:        1.3.0
Release:        3.1
%{?ocaml_preserve_bytecode}
Summary:        A library providing a strict SPDX License Expression parser
License:        MIT
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/spdx_licenses
Source0:        %pkg-%version.tar.xz
BuildRequires:  ocaml(ocaml_base_version) >= 4.08
BuildRequires:  ocaml-dune >= 2.3
BuildRequires:  ocaml-rpm-macros >= 20231101

%if "%build_flavor" == "testsuite"
BuildRequires:  ocamlfind(alcotest)
BuildRequires:  ocamlfind(spdx_licenses)
%endif
%description
An OCaml library aiming to provide an up-to-date and strict SPDX
License Expression parser.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1 -n %pkg-%version

%build
dune_release_pkgs='spdx_licenses'
%ocaml_dune_setup
%if "%build_flavor" == ""
%ocaml_dune_build
%endif

%install
%if "%build_flavor" == ""
%ocaml_dune_install
%ocaml_create_file_list
%endif

%if "%build_flavor" == "testsuite"
%check
%ocaml_dune_test
%endif

%if "%build_flavor" == ""
%files -f %name.files
%doc README.md

%files devel -f %name.files.devel

%endif

%changelog
* Fri Apr  4 2025 ohering@suse.de
- Remove ExclusiveArch 64bit
* Wed Mar 26 2025 ohering@suse.de
- Relax ocaml-rpm-macros requirement
* Mon Mar  3 2025 ohering@suse.de
- Initial version 1.3.0
